Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "7e9ef1b0-1e76-4c5e-b389-8297b7a02efc",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "4cee5b01-f2e6-460c-a706-ecd2e951f9f9",
"company_code": "sample string 5",
"company": {
"id": "b75f25b6-10d4-49cc-b0fd-190395a79f76",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-10T11:52:28.5915644+00:00",
"sales_territory_id": "759f8ce5-3cc5-41c6-b9f9-97b422c5b303",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "c7b2149b-9aad-4010-ac8f-69a0f1c07f6c",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "11fbe924-6202-4a6a-bd52-dd300da9b9af",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "84665144-6ff2-4824-9b60-9ec17d93089f",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f16cbf12-81d1-4420-9e72-b5761bf7d077",
"db_currency_id": "fa263f10-eb24-4921-b706-9522fab3f7f8",
"db_language_id": "17db1bb9-7c1c-4b4a-ad79-2d323f8f5e32",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T11:52:28.5915644+00:00"
},
"modified_dateutc": "2026-11-10T11:52:28.5915644+00:00"
},
"marketing_segment_id": "c4cd9c52-eed6-43e8-a738-d4f4ed385f29",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "e5d49654-feb2-4c0a-9bf5-ae80289d2e49",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "1dcebd81-3a72-463a-87fb-0836972ed44d",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "27c15f52-99f7-4aa1-bdb0-bffc9a8b3d67",
"db_country_code": "sample string 28",
"feelist_id": "aa0d32c4-479c-4947-966b-f6dd0a91c771",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "10d091bb-9a7e-4130-bc92-0abd02f29fad",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "c4d1b741-c8ab-4a54-b19e-ac4fb8adb2ce",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-10T11:52:28.5915644+00:00",
"db_currency_id": "976a257e-c239-44ba-b78d-719ec96924ac",
"db_currency_code": "sample string 10"
},
"company_type_id": "2f67dd1d-868e-47ce-ab73-67a5e39cbf71",
"company_type_name": "sample string 32",
"company_type": {
"id": "7dea1234-cb82-4483-af96-ad6f2de86122",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "01073fec-a68a-487e-91f3-4a5c2c479194",
"sales_organization_code": "sample string 5"
},
"db_language_id": "55f8b782-eb46-4444-9867-947910a84828",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "2ee15463-b3b7-4e16-87ae-4e640b55722a",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "ea8b484b-c9a4-4e19-9dab-73dabe392c7b",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "35184e01-6c3a-42b5-acf3-a75616ba9538",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-10T11:52:28.5915644+00:00"
},
"company_sector_id": "894464d1-1bb2-44ce-8f29-df0c659c1719",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "23cf00e9-ae53-4334-8718-22c997eb3f4e",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "f0de5461-e5f8-4b38-aeed-198738a2d263",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "0d42dacb-7c5c-4c75-81aa-744978f01967",
"account_manager_user_code": "sample string 56",
"company_status_id": "9812a22f-eb03-4704-8386-971b6eba1d1a",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-10T11:52:28.5915644+00:00",
"id2": 60
},
"db_language_id": "4014ca9a-2113-4e8f-b66f-e6a305bac762",
"db_language_code": "sample string 7",
"db_title_id": "aaa36e43-3252-465e-86a0-7e151e66e007",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-10T11:52:28.5915644+00:00",
"create_date": "2026-11-10T11:52:28.5915644+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-10T11:52:28.5915644+00:00"
}